#include<iostream>
using namespace std;

main()
{
	int X,Y,j,j1,d,d1,s,s1;
	cin>>X>>Y;
	j=X%10;
	j1=Y%10;
	d=X/10;
	d1=Y/10;
	if(j==j1&&d==d1)
	{
		cout<<d<<d1<<j<<j1;
	}
	else if(d==d1)
	{
	cout<<d<<d1;
	if(j>j1)
	cout<<j;
	else
	cout<<j1;
	}
	else if(j==j1)
	{
	if(d>d1)
	cout<<d;
	else
	{
	cout<<d1;
	}
	cout<<j<<j1;
	}
	else{
	if((d>d1)&&(j>j1))
	cout<<d<<j;
	else if(d>d1 && j<j1)
	cout<<d<<j1;
	else if(d<d1 && j>j1)
	cout<<d1<<j;
	else
	cout<<d1<<j1;
	}	
}